# Pinch-Zoom reading interface

**This is a template for a poetry interface that uses the touchscreen's pinch gesture as its method of moving between texts. On a non-touchscreen device, scrolling with the mousewheel or trackpad achieves the same effect. This code provide the basis for a Pinch-zoom reading interface and was also used to create the digital version of my poem sequence '10<sup>x</sup>'**



### Content

This code repository contains a template for the interface, contained in the 'index.html' and 'pinch-zoom-adapted-from-bigpicture.js' files. The JS and CSS files labelled 'bigpicture' are from the Big Picture library, which is a framework for creating infinite zooming and panning interfaces.



### Third-party software

- **Big Picture** - used as the main basis for the interface, adapted to restrict the direction of zooming and panning to suit the display of the poem. Used under the MIT license. A copy of the license is available at: https://opensource.org/licenses/MIT
- **Hammer.js** - used to enable touchscreen functionality.  Used under the MIT license.



### Attribution

This code repository is part of the PhD thesis 'Poetry in Digital Media' by Peter Hebden, Newcastle University 2021. This source code is shared under the MIT License. A copy of the license is included in the root folder of this project.

